#include <qwidget.h>
#include <TCanvas.h>

#include "CCanvas.h"

CCanvas::CCanvas( QWidget* parent, const char* title, const char* name)
	: QWidget( parent, title )
{
	int wid = (int) winId();
	wid = gVirtualX->AddWindow(wid, 100, 100);
	fCanvas = new TCanvas(name, 100, 100, wid);
	fbNeedResize = true;
}

CCanvas::~CCanvas()
{
	delete fCanvas;
}

void
CCanvas::paintEvent(QPaintEvent *p)
{
	if(fCanvas)
	{
		if( fbNeedResize )
		{
			fCanvas->Resize();
			fbNeedResize = false;
		}
		fCanvas->Modified();
		fCanvas->Update();
		fCanvas->Flush();
	}
}

void
CCanvas::resizeEvent(QResizeEvent *p)
{
	fbNeedResize = true;
}

